2006-08-09  Jean-Marc Lasgouttes  <lasgouttes@lyx.org>

	* Makefile.am (dist_lyx2lyx_DATA): rename to dist_lyx2lyx_PYTHON;
	this invokes automake's built-in python support.
	(install-data-hook): new target: sets executable bit on lyx2lyx.

2006-07-15  Bo Peng     <ben.bob@gmail.com>
	* replace all tab in .py files by spaces

2006-04-10  José Matos  <jamatos@lyx.org>	
	* parser_tools.py (find_tokens_exact, find_tokens): replace range
	with xrange.

2006-04-10  José Matos  <jamatos@lyx.org>

	* LyX.py: update release version number.
	* lyx_1_4.py (convert_sgml_paragraphs): Convert SGML paragraphs
	for previous versions of docbook documents.

2006-03-06  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (remove_paperpackage): Only reset the papersize for
	a4* paperpackages.

2006-02-22  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_amsmath, revert_amsmath): new, convert ams math
	settings.

2006-02-05  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LyX.py: new member is_default_layout()
	* LyX.py: new member default_layout
	* parser_tools.py (get_layout): new, extract layout name from line
	* lyx_1_1_5.py, lyx_1_1_6.py, lyx_1_2.py, lyx_1_4.py: Replace all
	occurences of the "Standard" layout with file.default_layout (bug 2026)

2006-02-02  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (remove_branches): new, remove branch insets

2005-12-01  José Matos  <jamatos@lyx.org>

	* LyX.py (choose_io): replace open and make the choice more transparent.

2005-11-24  José Matos  <jamatos@lyx.org>

	* lyx_1_0_0.py (obsolete_latex_title): "LaTeX Title" -> "Title"
	* (update_tabular): update from tabular format 3 to 4 if necessary.

2005-11-20  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_frameless_box): fix file format argument of
	insert_ert

2005-10-12  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* LyX.py: enlarge range to current format (245);
	do not use \quotes_times anymore on NewFile.
	* lyx_1_4.py (remove_quotestimes): remove param \quotes_times (bug 2090).

2005-09-28  José Matos  <jamatos@lyx.org>

	* LyX.py: fix relation_format reversion

2005-09-28  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* LyX.py: enlarge range to current format (244).
	* lyx_1_4.py (revert_spaces): fix so that new space insets are reverted
	to ERT.
	* lyx_1_4.py (rename_spaces, revert_space_names): some InsetSpace types 
	had to be renamed; conversion takes place between 243<->244.

2005-09-19  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* parser_tools.py (get_paragraph, get_next_paragraph): add format
	argument and make them work with formats newer than 220
	* lyx_1_2.py (remove_oldfloat, remove_pextra, remove_oldertinset,
	combine_ert): adjust to the changes above
	* lyx_1_4.py (convert_breaks, revert_breaks): better conversion of
	lyxlines
	* lyx_1_4.py (convert_ertbackslash, convert_ertlen, insert_ert):
	add format argument and make it work with formats newer than 240
	* lyx_1_4.py (convert_frameless_box): adjust to the changes above
	* lyx_1_4.py (ert2latex): new, convert ERT code to LaTeX
	* lyx_1_4.py (lyxsize2latexsize): new, convert LyX font size to LaTeX

2005-09-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LyX.py (LyX_Base): fix paragraph parameter check
	* LyX.py (NewFile): remove paperpackage from header

2005-09-09  José Matos  <jamatos@lyx.org>

	* lyx_1_1_6fix3.py (update_tabular): fix vertical alignment convertion.

2005-08-28  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_vspace): rename to revert_breaks and revert
	\lyxline and \newpage, too

2005-08-30  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (add_to_preamble): fix invocation of find_token (bug 2004)

2005-08-18  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (remove_paperpackage): fix bug 2001.

2005-08-18  José Matos  <jamatos@lyx.org>

	* LyX.py (read, write): add preamble as data member of LyX_Base,
	remove if from the header.

	* lyx_0_12.py (header_update):
	* lyx_1_1_5.py (remove_space_in_units):
	* lyx_1_4.py (add_to_preamble, convert_frameless_box): use the new scheme.

	* lyx_1_2.py (change_header): change name to reflect its content.

2005-07-29  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py:
	* LyX.py: add \leftindent to the list of allowed paragraph parameters.

2005-07-29  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (remove_paperpackage): Take into account the lines
	added to preamble.

2005-07-29  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py: Fix a4 package removal when the preamble is already there.

2005-07-29  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py: Fix widemarginsa4 convertion.

2005-07-29  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py: \end_header was added in 222, not 223

2005-07-29  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py:
	* LyX.py: do not ignore format 222.

2005-07-22  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (convert_paperpackage, revert_paperpackage):
	remove wrong comments

	* LyX.py : add 1.3.6 to the releases list

2005-07-18  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (convert_minipage, convert_frameless_box): small
	fixes to minipages convertions and retroversions.

2005-07-18  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (convert_french): fix two typos (Thanks to Georg Baum).

2005-07-18  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (convert_french): convert language also in the body.

2005-07-15  José Matos  <jamatos@lyx.org>

	* Makefile.am: new file for correct dealing with python scripts.	
	* .cvsignore: ignore Makefile(.in) files.

2005-07-12  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (add_to_preamble): Make it more robust.
	(convert_frameless_box): Fix wrong type for parameter.
	(revert_paperpackage): Consider empty paper package case.

2005-07-08  José Matos  <jamatos@lyx.org>

	* lyx_0_12.py (update_tabular): Support old tables format 1.

2005-07-08  José Matos  <jamatos@lyx.org>

	* lyx_1_1_5.py (latexdel_getargs, update_ref, update_latexdel):
	Remove latexdel insets comming from sgml2lyx (ref, url and htmlurl).

2005-06-21  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_french): change language frenchb to french
	for format 242.

2005-07-07  José Matos  <jamatos@lyx.org>

	* LyX.py (read): Ignore whitelines on header. Fix reading the
	first body line.

2005-07-06  José Matos  <jamatos@lyx.org>

	* lyx_1_1_5.py (replace_protected_separator): Make it robust
	to layout name absence.

2005-07-06  José Matos  <jamatos@lyx.org>

	* LyX.py (read): Add support for cases where the body begins
	without a whiteline before.

2005-07-06  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (paperpackage): Fix empty paperpackage case.

2005-07-06  José Matos  <jamatos@lyx.org>

	* LyX.py (warning): Prefix warnings with label "Warning: ".
	* lyx_1_4.py (add_end_layout): Handle truncated files.

2005-07-06  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (convert_paperpackage): older tex2lyx generated files
	had \paperpackage with 'default' instead of 'none'.
	
2005-07-05  José Matos  <jamatos@lyx.org>

	* LyX.py (LyX_Base):
	* LyX.py (error):
	* LyX.py (convert):
	* lyx2lyx: Implement return codes consistently:
	0 - OK.
	1 - Irrecoverable error.
	2 - Recovered from error(s).

2005-07-05  José Matos  <jamatos@lyx.org>

	* LyX.py (LyX_Base):
	* LyX.py (File):
	* lyx2lyx (usage):
	* lyx2lyx (parse_options):	
	* lyx2lyx (main): Add support for ignoring any errors during the
	file convertion.

2005-07-05  José Matos  <jamatos@lyx.org>

	* lyx_0_12.py (obsolete_latex_title): Obsolote old style.

2005-05-18  Angus Leeming  <leeming@lyx.org>

	* lyx2lyx (parse_options): Add the description of the '-f' option
	back again.

2005-05-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_breaks): Don't treat every token that starts
	with '\\' as paragraph parameter

2005-05-06  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (convert_breaks): put all paragraph parameters into a
	single line.

2005-05-04  José Matos  <jamatos@lyx.org>

	* LyX.py: fix allowed parameters for paragraphs.

2005-04-26  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_breaks): fix spelling
	* lyx_1_4.py (convert_breaks): fix copy-and-paste error

2005-02-20  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (lyx_support_escape): new
	* lyx_1_4.py (revert_eqref): new, convert
	'\begin_inset LatexCommand \eqref{label}' to ERT
	* lyx_1_4.py (revert): call revert_eqref in step 223 -> 221

2005-02-17  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_table_valignment_middle,
	revert_valignment_middle): use regex to recognize
	'\\begin_inset Tabular' and '\\begin_inset  Tabular'
	* lyx_1_2.py (update_tabular, update_longtables): ditto
	* lyx_1_1_6fix3.py (update_tabular): ditto

2005-02-15  José Matos  <jamatos@lyx.org>

	* lyx_1_2.py (remove_pextra): fix bug 1816.

2005-02-06  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_ertbackslash): convert '\n', too
	* lyx_1_4.py (convert_len): new, split from convert_ertlen
	* lyx_1_4.py (insert_ert): new
	* lyx_1_4.py (add_to_preamble): new
	* lyx_1_4.py (convert_frameless_box): better conversion of parboxes
	and minipages with unsupported parameters

2005-02-03  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LyX.py: format up to 241
	* lyx_1_4.py (convert_ert_paragraphs, revert_ert_paragraphs): new
	* lyx_1_4.py, LyX.py: handle new format 241

2005-01-24  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* LyX.py: format up to 240.
	* lyx_1_4.py (convert_output_changes, revert_output_changes): new

2005-01-06  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (normalize_paragraph_params): add start_of_appendix
	to the allowed parameters list.

2005-01-06  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (normalize_paragraph_params): update file format to 239.

	* LyX.py (convert): simplify code and add running times
	information for higher debug levels.

2005-01-04  José Matos  <jamatos@lyx.org>

	* lyx_0_12.py:
	* lyx_1_0_0.py:
	* lyx_1_0_1.py:
	* lyx_1_1_4.py:
	* lyx_1_1_5.py:
	* lyx_1_1_6.py:
	* lyx_1_1_6fix3.py:
	* lyx_1_2.py:
	* lyx_1_3.py:
	* lyx_1_4.py: convert and revert change from functions to lists.

	* LyX.py:
	* lyx2lyx: version -> version_lyx2lyx

	* LyX.py (convert): put all the convertion logic here.

2005-01-04  José Matos  <jamatos@lyx.org>

	* LyX.py (set_format): fix typo.

	* lyx_0_12.py:
	* lyx_1_0_0.py:
	* lyx_1_0_1.py:
	* lyx_1_1_4.py:
	* lyx_1_1_5.py:
	* lyx_1_1_6.py:
	* lyx_1_1_6fix3.py:
	* lyx_1_2.py:
	* lyx_1_3.py:
	* lyx_1_4.py: unify the call convention of convertion
	functions. Now they all accept a file.

2004-12-03  José Matos  <jamatos@lyx.org>

	* LyX.py: format up to 238.
	* lyx_1_4.py:
	* lyx_0_12.py (update_latexaccents): consider the cases where the
	inset is updated.

2004-12-03  José Matos  <jamatos@lyx.org>

	* lyx_1_2.py (update_longtable): Update longtables to table format 3.

2004-12-02  José Matos  <jamatos@lyx.org>

	* lyx_0_12.py (update_latexaccents): convert old style latexaccents.

2004-11-29  José Matos  <jamatos@lyx.org>

	* lyx_1_2.py (convert): rename opt to file, as in all other files.

2004-10-28  José Matos  <jamatos@lyx.org>

	* LyX.pm: add internal documentation.

2004-10-17  José Matos  <jamatos@lyx.org>

	* lyx2lyx: moved code to LyX module making effectively lyx2lyx and
	interface to the LyX module.

	* LyX.py: white space changes.  New class that serves as the basis
	to two derived classes. One for reading and another for new files.
	New function get_toc, to be used in Doc_toc.py in the
	documentation directory.
	New class paragraph, to read paragraphs from the lyx file.

2004-10-10  José Matos  <jamatos@lyx.org>

	* .cvsignore: add entries related with profiling lyx2lyx.
	* lyx2lyx (main): place all program inside this function, to allow
	it to be called from profiling.
	* profiling.py: new file to profile lyx2lyx.

2004-10-09  José Matos  <jamatos@lyx.org>

	* LyX.py: add support for format 237, fix variables type,
	new function formats_list().

	* lyx2lyx: print list of available formats on request.

	* lyx_1_4.py: add support for 237, reorganize directory functions.

2004-09-29  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (get_end_format): simplify index.

2004-09-12  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_ertbackslash): insert the new line after the
	backslash, this did only work by accident in most cases

	* lyx_1_4.py: unify warning messages

2004-08-19  José Matos  <jamatos@lyx.org>

	* lyx_1_4.lyx (add_end_layout): fix \end_layout interaction with
	\end_deeper.

2004-08-16  José Matos  <jamatos@lyx.org>

	* lyx_1_4.lyx (convert_comment, convert_breaks, convert_frameless_box):
	(convert_names, add_begin_body, strip_end_space): use the same policy
	of lyx of not using spaces as the last character in a line that starts
	with a command token (\xxxxx).

2004-08-15  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (normalize_papersize, denormalize_papersize):
	\papersize Default -> \papersize default
	\papersize Custom -> \papersize custom

2004-08-15  José Matos  <jamatos@lyx.org>

	* LyX.py: new file that gathers all the knowleadge of the LyX file
	format. This can be used as library.

	* parser_tools.py: moved all the functions that are not related
	with the parser to LyX.py.

	* lyx2lyx: is just a client of the LyX.py library.

	* lyx_.py (convert, revert): renamed previous opt to file.  Change
	the arguments since now file contains both the header and the
	body.

2004-08-14  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py:
	* parser_tools.py: up the format to 236.

2004-08-05  José Matos  <jamatos@lyx.org>

	* lyx_1.4.py (remove_color_default): move
	\color default -> \color inherit

2004-08-05  José Matos  <jamatos@lyx.org>

	* parser_tools.py (read_file): remove \r from line's end when present.

2004-07-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_paperpackage): new, convert paperpackage setting
	* lyx_1_4.py (revert_paperpackage): new, revert paperpackage setting
	* lyx_1_4.py (revert, convert): handle format 235
	* parser_tools.py: up the format to 235.

2004-05-12  Angus Leeming  <leeming@lyx.org>

	* lyx_1_4.py (convert_cite_engine, revert_cite_engine): new functions
	to convert the code that specifies the type of the citation engine
	(basic, natbib or jurabib).

	* parser_tools.py: up the format to 234.

2004-05-11  José Matos  <jamatos@lyx.org>

	* parser_tools.py (get_backend): get the document backend.
	* lyx2lyx (main): new member of the document structure,
	the textclass and backend, that default to article and latex.
	* lyx_1_4.py (add_end_layout): fix bug of mixed \begin_deeper
	and \end_layout
	(insert_tracking_changes): insert \tracking_changes 0, if not present
	in the header.
	(convert_names, revert_names): for docbook documents transform
	the styles FirstName and Surname into character styles.

2004-05-03  José Matos  <jamatos@lyx.org>

	* lyx_1_4.py (convert_graphics):
	* lyx2lyx: introduce new member of the structure class, dir which
	carries the directory of the converted file.
	* lyx2lyx: move default warning level to 1.

2004-04-29  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyx_1_4.py (convert_graphics): new, convert graphics filenames
	* lyx_1_4.py (revert, convert): handle format 233
	* lyx2lyx: up the format to 233.

2004-04-19  José Matos   <jamatos@lyx.orrg>

	* parser_tools.py (chain): fix the detection of the last format for
	revertions.

2004-04-19  Martin Vermeer  <martin.vermeer@hut.fi>

	* lyx_1_4.py (convert_frameless_box): Replace instead of adding
	new code.

2004-04-14  José Matos  <jamatos@lyx.org>

	* error.py
	* lyxconvert_*
	* lyxrevert_*: removed

	* lyx_0_12.py
	* lyx_1_0_0.py
	* lyx_1_0_1.py
	+ lyx_1_1_4.py
	* lyx_1_1_5.py
	* lyx_1_1_6.py
	* lyx_1_1_6fix3.py
	* lyx_1_2.py
	* lyx_1_3.py
	* lyx_1_4.py: Added file with the same content as the previous that
	were removed.

	* lyx2lyx
	* parser_tools.py: reworked for better modularity.

2004-03-31  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxconvert_229.py (convert_jurabib): new, add use_jurabib flag
	* lyxrevert_230.py (convert_jurabib): new, remove use_jurabib flag
	* lyxconvert_230.py (convert_float): new, add sideways flag
	* lyxrevert_231.py (convert_float): new, remove sideways flag
	* lyxconvert_231.py (convert_bibtopic): new, add use_bibtopic flag
	* lyxrevert_232.py (convert_bibtopic): new, remove use_bibtopic flag

2004-03-29  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyx2lyx: up the format to 232.

	* lyx2lyx: up the format to 231.

2004-03-26  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxrevert_225.py (convert_frameless_box): fix minipage ERT output

2004-02-25  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyx2lyx: up the format to 230.

2004-02-04  José Matos  <jamatos@lyx.org>
	* lyxconvert_210.py: add two new transforms:
	remove_empty_insets and remove_formula_latex
	little fix to existing transformations.

2004-02-03  José Matos  <jamatos@lyx.org>

	* lyxconvert216.py: one line fix for out of range error.

2004-02-01  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxconvert2*.py: quiet encoding warning in python 2.3
	* lyxrevert_22[3-9].py: quiet encoding warning in python 2.3

2004-01-06  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxrevert_228.py: convert ERT status, too
	* lyxconvert_227.py: ditto, also stop at \\begin_alyout and not
	\\layout in convert_collapsable()
	* lyxconvert_228.py (convert_minipage): Add status tag conversion
	* lyxrevert_225.py: Convert vspace and frameless box insets
	* lyxrevert_22[3-8].py: fix the 'é' in José's name

2003-12-29  Jürgen Spitzmüller  <j.spitzmueller@gmx.de>

	* lyx2lyx: up the format to 229.
	* lyxconvert_224.py (convert_minipage): remove function...
	* lyxconvert_228.py: ...and place it here.
	* lyxrevert_229.py: new file (bare bones).

2003-12-19  Angus Leeming  <leeming@lyx.org>

	* lyxconvert_227.py (convert_collapsable):
	* lyxrevert_228.py (convert_collapsable): a more robust method of
	finding the collapsed status.

2003-12-18  Georg Baum  <Georg.Baum@post.rwth-aachen.de>

	* lyxrevert_228.py: fix box status conversion
	* lyxconvert_227.py: ditto

2003-12-16  José Matos  <jamatos@lyx.org>

	* lyxrevert_228.py: fix sys import.

2003-12-16  José Matos  <jamatos@lyx.org>

	* lyxconvert_227.py: fix sys import.

2003-12-15  Angus Leeming  <leeming@lyx.org>

	* lyx2lyx:
	* lyxconvert_227.py:
	* lyxrevert_228.py: convert the InsetCollapsable format between
	formats 227 and 228.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* lyxrevert_227.py: InsetExternal gains a 'draft' option, so remove
	this when reverting to format 226.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* lyx2lyx: up the format to 227.
	(lyxformat): squash latent bug when reporting an inability to convert
	to the desired format.

	* lyxconvert_226.py:
	* lyxrevert_227.py: convert the Box inset between formats 226 and 227.

2003-12-10  Angus Leeming  <leeming@lyx.org>

	* lyx2lyx: up the format to 226.

	* lyxconvert_225.py:
	* lyxrevert_226.py: convert the Note inset between formats 225 and 226.

2003-12-05  José Matos  <jamatos@lyx.org>

	* error.py:
	* parser_tools.py: quiet encoding warning in python 2.3.

	* lyx2lyx: add logfile as an option.

2003-12-03  José Matos  <jamatos@lyx.org>

	* lyx2lyx: update copyright date
	* lyxconvert_224.py (convert_breaks): add vertical space convertion.

2003-11-14  Kornel Benko  <kornel.benko@berlin.de>

	* lyxconvert_224.py (convert_minipage): fix convertion of minipages
	from lyx 1.3.x.

2003-11-14  José Matos  <jamatos@lyx.org>

	* lyxconvert_224.py (convert_breaks): avoid removal of paragraph
	arguments when a page breake or a line were present.

2003-11-07  José Matos  <jamatos@lyx.org>

	* lyxconvert_224.py (convert_minipage): deal better with default
	parameter of minipages from lyx 1.3.x

2003-11-06  José Matos  <jamatos@lyx.org>

	* lyxconvert_224.py (convert_breaks): Create an empty paragraph for
	possible upper page and line breaks, if necessary.

2003-10-27  José Matos  <jamatos@lyx.org>

	* lyxconvert_223.py:
	* lyxconvert_224.py (convert_minipage): move funtion to its right place.
	(convert_breaks): convert line and page break, at bottom and top.
